config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

#preserve_perms etc/rc.d/rc.INIT.new
#config etc/configfile.new

# New install = no rc.rudder-agent script
# Upgrade = symlink
### readlink -f /etc/rc.d/rc.rudder-agent

if [ -L /etc/rc.d/rc.rudder-agent ]; then
	# upgrade
	/opt/rudder/share/package-scripts/rudder-agent-postinst 0
	if [ "$(readlink -f /etc/rc.d/rc.rudder-agent)" != "/etc/init.d/rudder-agent" ]; then
		unlink /etc/rc.d/rc.rudder-agent
		ln -s /etc/init.d/rudder-agent /etc/rc.d/rc.rudder-agent
	fi
else
	# new install
	/opt/rudder/share/package-scripts/rudder-agent-postinst 1
	ln -s /etc/init.d/rudder-agent /etc/rc.d/rc.rudder-agent
fi

